Jump to content

Viewing points in 3D


dan_m

Recommended Posts

Point styles in PDMODE become flattened when viewed in 3D (they lie flat on the XY plane on which they were created). Is there a way to create a true 3D point representation ie: like maybe a sphere with a dot in it? Vanilla Acad 2012. Thanks for any insight!

Link to comment
Share on other sites

Point styles in PDMODE become flattened when viewed in 3D (they lie flat on the XY plane on which they were created). Is there a way to create a true 3D point representation ie: like maybe a sphere with a dot in it? Vanilla Acad 2012. Thanks for any insight!

 

Perhaps this thread might almost give you some assistance.

Link to comment
Share on other sites

A little bit different I made this point 3 times but used rotate3d to rotate about the X and Y axis and join the 3 back to one using snap of node, you can still use ddptype to change shape and size. The way to go is either create a block of the two extra rotated points and place on existing or just add 2 points and rotate, will see if I can find time to do something.

 

3dpoints.jpg

Link to comment
Share on other sites

Here is some sample code 2 versions a create 3d pt and a convert existing points to 3d pts

 

(defun c:Pt3 ( / pt)
(setq oldsnap (getvar 'osmode))
(setq pt (getpoint "Pick point")) ; where do you want point
(command "point" pt)              ; create point 
(setvar 'osmode 0)                    ; turn snap off
(command "point" pt)                  ; create 2nd point
(command "rotate3d" "L" "" "X" pt 90) ; rotate in 3d point note angle in degrees
(command "point" pt)                  ; add another point
(command "rotate3d" "L" "" "Y" pt 90) ; rotate in 3d point note angle in degrees
(setvar 'osmode oldsnap)              ; turns snaps back on
)


(defun c:pt3d ( / pt ss obj x y)
(setq oldsnap (getvar 'osmode))
(setvar 'osmode 0)                    ; turn snap off
(setq ss (ssget "X" (list (cons 0 "point"))))
(setq X (sslength ss)
     y x)
(repeat y
(setq obj (ssname ss (setq x (- x 1))))
(setq pt (assoc 10 (entget obj)))
(setq pt (list (cadr pt)(caddr pt)(cadddr pt)))
(command "point" pt)                  ; create 2nd point
(command "rotate3d" "L" "" "X" pt 90) ; rotate in 3d poiint note angle in degrees
(command "point" pt)                  ; add another point
(command "rotate3d" "L" "" "Y" pt 90) ; rotate in 3d poiint note angle in degrees
)
(setvar 'osmode oldsnap)              ; turns snaps back on
(princ)
)

Edited by BIGAL
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...